GET Api/ApiClient/{id}

URI Example

GET Api/ApiClient/{id}

URI Parameters

NameDescriptionTypeAdditional information
id

string

Required

Body Parameters

None.

Resource Description

ApiClientResource
NameDescriptionTypeAdditional information
Id

string

None.

ApplicationType

ApiClientTypes

None.

Name

string

None.

ClientSecret

string

None.

AllowedOrigin

string

None.

TokenSignatureSecret

string

None.

RefreshTokenExpireMinutes

integer

None.

IsInactive

boolean

None.

_links

Dictionary of string [key] and Link [value]

None.

_embedded

Dictionary of string [key] and Object [value]

None.

Response Formats

application/json, text/json, application/hal+json
  • {
      "_links": {
        "sample string 1": {
          "href": "sample string 1",
          "method": "sample string 2",
          "rel": [
            "sample string 1",
            "sample string 2"
          ]
        },
        "sample string 2": {
          "href": "sample string 1",
          "method": "sample string 2",
          "rel": [
            "sample string 1",
            "sample string 2"
          ]
        }
      },
      "id": "sample string 1",
      "applicationType": 0,
      "name": "sample string 2",
      "clientSecret": "sample string 3",
      "allowedOrigin": "sample string 4",
      "tokenSignatureSecret": "sample string 5",
      "refreshTokenExpireMinutes": 6,
      "isInactive": true,
      "_embedded": {
        "sample string 1": {},
        "sample string 3": {}
      }
    }